Package org.opensaml.xmlsec.encryption

# Interface DerivedKey

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `DerivedKeyImpl`

public interface DerivedKey extends XMLObject
XMLObject representing XML Encryption 1.1 DerivedKey element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIBUTE_NAME`
Algorithm attribute name.
`static final String`
`RECIPIENT_ATTRIBUTE_NAME`
Recipient attribute name.
`static final String`
`TYPE_ATTRIBUTE_NAME`
Algorithm attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`DerivedKeyName`
`getDerivedKeyName()`
Get the DerivedKeyName child element.
`String`
`getId()`
Gets the Id attribute.
`KeyDerivationMethod`
`getKeyDerivationMethod()`
Get the KeyDerivationMethod child element.
`MasterKeyName`
`getMasterKeyName()`
Get the MasterKeyName child element.
`String`
`getRecipient()`
Gets the Recipient attribute.
`ReferenceList`
`getReferenceList()`
Get the ReferenceList child element.
`String`
`getType()`
Gets the Type attribute.
`void`
`setDerivedKeyName(DerivedKeyName name)`
Set the DerivedKeyName child element.
`void`
`setId(String id)`
Sets the Id attribute.
`void`
`setKeyDerivationMethod(KeyDerivationMethod method)`
Set the KeyDerivationMethod child element.
`void`
`setMasterKeyName(MasterKeyName name)`
Set the MasterKeyName child element.
`void`
`setRecipient(String recipient)`
Sets the Recipient attribute.
`void`
`setReferenceList(ReferenceList referenceList)`
Set the ReferenceList child element.
`void`
`setType(String type)`
Sets the Type attribute.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### RECIPIENT_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String RECIPIENT_ATTRIBUTE_NAME
Recipient attribute name.

See Also:
  - Constant Field Values

### ID_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String ID_ATTRIBUTE_NAME
Algorithm attribute name.

See Also:
  - Constant Field Values

### TYPE_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String TYPE_ATTRIBUTE_NAME
Algorithm attribute name.

See Also:
  - Constant Field Values

## Method Details

### getKeyDerivationMethod

@Nullable KeyDerivationMethod getKeyDerivationMethod()
Get the KeyDerivationMethod child element.

Returns:
  the element

### setKeyDerivationMethod

void setKeyDerivationMethod(@Nullable KeyDerivationMethod method)
Set the KeyDerivationMethod child element.

Parameters:
  `method` - the key derivation method

### getReferenceList

@Nullable ReferenceList getReferenceList()
Get the ReferenceList child element.

Returns:
  the element

### setReferenceList

void setReferenceList(@Nullable ReferenceList referenceList)
Set the ReferenceList child element.

Parameters:
  `referenceList` - the list

### getDerivedKeyName

@Nullable DerivedKeyName getDerivedKeyName()
Get the DerivedKeyName child element.

Returns:
  the element

### setDerivedKeyName

void setDerivedKeyName(@Nullable DerivedKeyName name)
Set the DerivedKeyName child element.

Parameters:
  `name` - the key name

### getMasterKeyName

@Nullable MasterKeyName getMasterKeyName()
Get the MasterKeyName child element.

Returns:
  the element

### setMasterKeyName

void setMasterKeyName(@Nullable MasterKeyName name)
Set the MasterKeyName child element.

Parameters:
  `name` - the key name

### getRecipient

@Nullable String getRecipient()
Gets the Recipient attribute.

Returns:
  the recipient

### setRecipient

void setRecipient(@Nullable String recipient)
Sets the Recipient attribute.

Parameters:
  `recipient` - the recipient

### getId

@Nullable String getId()
Gets the Id attribute.

Returns:
  the id

### setId

void setId(@Nullable String id)
Sets the Id attribute.

Parameters:
  `id` - the id

### getType

@Nullable String getType()
Gets the Type attribute.

Returns:
  the type

### setType

void setType(@Nullable String type)
Sets the Type attribute.

Parameters:
  `type` - the type